package gov.va.shared.persistence;

import org.springframework.beans.factory.annotation.Autowired;

import gov.va.shared.AbstractTransactionalCoreDAOTest;
import gov.va.shared.model.lookup.sds.VAFacilityType;
import gov.va.shared.persistence.lookup.sds.VAFacilityTypeDAO;

public class TestVAFacilityTypeDAO extends AbstractTransactionalCoreDAOTest<VAFacilityType> {

	@Autowired
	private VAFacilityTypeDAO vaFacilityTypeDAO;

	@Override
	protected VAFacilityType getInstanceToSave() {
		return null;
	}

	@Override
	protected AppDAO<VAFacilityType> getDAO() {
		return vaFacilityTypeDAO;
	}

	@Override
	protected boolean testDelete() {
		return false;
	}

}
